Package Details: hypnotix-git 2.2-1

Git Clone URL: https://aur.archlinux.org/hypnotix-git.git (read-only, click to copy)
Package Base: hypnotix-git
Description: An IPTV streaming application
Upstream URL: https://github.com/linuxmint/hypnotix
Keywords: iptv
Licenses: GPL3
Conflicts: hypnotix
Provides: hypnotix
Submitter: jonathon
Maintainer: jonathon
Last Packager: jonathon
Votes: 2
Popularity: 0.012258
First Submitted: 2020-10-31 22:16 (UTC)
Last Updated: 2021-12-07 15:13 (UTC)

Latest Comments

azureit commented on 2022-02-10 16:22 (UTC)

Could please add the patch for Wayland support: https://github.com/linuxmint/hypnotix/pull/205/files

thx1138 commented on 2021-12-15 19:37 (UTC)

install: cannot stat 'usr/share/hypnotix/pictures/badges/irak.svg': No such file or directory
==> ERROR: A failure occurred in package().

Instead, there is:

 usr/share/hypnotix/pictures/badges/iraq.svg

From PKGBUILD:

install -Dm644 -t "$pkgdir"/usr/share/hypnotix/pictures/badges usr/share/hypnotix/pictures/badges/*

The directory

hypnotix-git/src/hypnotix/usr/share/hypnotix/pictures/badges/

includes:

lrwxrwxrwx 1 james james    72 Dec 15 11:44 irak.svg -> /home/mtwebster/bin/hypnotix/usr/share/hypnotix/pictures/badges/iraq.svg

which does not exist.

Temporary workaround from PKGBUILD:

rm -v usr/share/hypnotix/pictures/badges/irak.svg

Issue posted upstream.

bittin commented on 2020-12-10 15:31 (UTC)

https://pastebin.com/yeBkMJAH Updated PKGBUILD for Hypnotix 1.3

bittin commented on 2020-12-01 14:13 (UTC)

Updated PKGBUILD with todays release: https://pastebin.com/Z38rrPCv

jonathon commented on 2020-11-22 20:15 (UTC) (edited on 2020-11-22 20:17 (UTC) by jonathon)

lua is required by usr/lib/hypnotix/mpv.py. However, lua52 is brought in by mpv so lua51 probably isn't needed.

japareaggae commented on 2020-11-22 19:06 (UTC)

Two nitpicks:

  • Is lua51 really required? I couldn't find any Lua scripts on the repository, and Hypnotix seems to work fine if I remove it from the depends array.
  • License shouldn't be "unknown", the debian/copyright file in the repository states that Hypnotix is GPLv3+.